Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.template
Class PrettyPrintWriter

    java.lang.Object
      java.io.Writer
          java.io.PrintWriter
              xdoclet.template.PrettyPrintWriter

public class PrettyPrintWriter
extends java.io.PrintWriter

Extends the PrintWriter class by adding the possibility of emiting empty lines.

Version:
  $Revision: 1.5 $
Author:
  Andreas "Mad" Schaefer (andreas.schaefer@madplane.com), Ara Abrahamian (ara_e@email.com)
created
  March 7, 2001

Field Summary
`static java.lang.String` | `LINE_SEPARATOR` Convenience variable for printing and matching line separators in a system portable manner.
`static int` | `LINE_SEPARATOR_LEN`

Fields inherited from class java.io.PrintWriter
`out`

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`PrettyPrintWriter(java.io.OutputStream pOut)` Describe what the PrettyPrintWriter constructor does
`PrettyPrintWriter(java.io.Writer pOut)` Describe what the PrettyPrintWriter constructor does
`PrettyPrintWriter(java.io.Writer pOut, boolean pAutoFlush)` Describe what the PrettyPrintWriter constructor does

Method Summary
`void` | `close()` Closes the output stream and writes the last line.
`void` | `println()`
`void` | `write(char[] pBuffer, int pOffset, int pLength)` Describe what the method does
`void` | `write(int c)`
`void` | `write(java.lang.String pText, int pOffset, int pLength)` Describe what the method does
`protected void` | `writeLine()`

Methods inherited from class java.io.PrintWriter
`checkError, flush, print, print, print, print, print, print, print, print, print, println, println, println, println, println, println, println, println, println, setError, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LINE_SEPARATOR

    public static final java.lang.String LINE_SEPARATOR

  Convenience variable for printing and matching line separators in a system portable manner.

  See Also:
    Constant Field Values

### LINE_SEPARATOR_LEN

    public static final int LINE_SEPARATOR_LEN

Constructor Detail

### PrettyPrintWriter

    public PrettyPrintWriter(java.io.OutputStream pOut)

  Describe what the PrettyPrintWriter constructor does

Parameters:
  `pOut` - Describe what the parameter does

### PrettyPrintWriter

    public PrettyPrintWriter(java.io.Writer pOut)

  Describe what the PrettyPrintWriter constructor does

Parameters:
  `pOut` - Describe what the parameter does

### PrettyPrintWriter

    public PrettyPrintWriter(java.io.Writer pOut,
                             boolean pAutoFlush)

  Describe what the PrettyPrintWriter constructor does

Parameters:
  `pOut` - Describe what the parameter does
  `pAutoFlush` - Describe what the parameter does

Method Detail

### close

    public void close()

  Closes the output stream and writes the last line.

### write

    public void write(char[] pBuffer,
                      int pOffset,
                      int pLength)

  Describe what the method does

  Parameters:
    `pBuffer` - Describe what the parameter does
    `pOffset` - Describe what the parameter does
    `pLength` - Describe what the parameter does

### write

    public void write(int c)

### write

    public void write(java.lang.String pText,
                      int pOffset,
                      int pLength)

  Describe what the method does

  Parameters:
    `pText` - Describe what the parameter does
    `pOffset` - Describe what the parameter does
    `pLength` - Describe what the parameter does

### println

    public void println()

### writeLine

    protected void writeLine()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD